aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-09-19 09:14:19 +0200
committerJustin Lecher <jlec@gentoo.org>2015-11-28 18:25:09 +0100
commitbc36b5406f2bb289a3920ef13d50853a567bc83d (patch)
treeee431372f2726c8ffbc5ca294fd07076be18f737 /eclass/alternatives-2.eclass
parentdev-util/amdapp: Version bump; Fixes issue #542 (diff)
downloadsci-bc36b5406f2bb289a3920ef13d50853a567bc83d.tar.gz
sci-bc36b5406f2bb289a3920ef13d50853a567bc83d.tar.bz2
sci-bc36b5406f2bb289a3920ef13d50853a567bc83d.zip
Large fix of numeric code
fortran-int64.eclass code has been splitted into numeric-int64-multibuild.eclass, fortran-2.eclass and numeric.eclass. Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=563292 https://bugs.gentoo.org/show_bug.cgi?id=551764 https://bugs.gentoo.org/show_bug.cgi?id=555302 Github: resolves gentoo-science/sci#438 resolves gentoo-science/sci#443 resolves gentoo-science/sci#447 resolves gentoo-science/sci#450 resolves gentoo-science/sci#467 resolves gentoo-science/sci#492 resolves gentoo-science/sci#507 resolves gentoo-science/sci#508 resolves gentoo-science/sci#522 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'eclass/alternatives-2.eclass')
-rw-r--r--eclass/alternatives-2.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/alternatives-2.eclass b/eclass/alternatives-2.eclass
index 749cda814..19e830629 100644
--- a/eclass/alternatives-2.eclass
+++ b/eclass/alternatives-2.eclass
@@ -102,7 +102,7 @@ alternatives-2_pkg_postinst() {
fi
# Set alternative provider if there is no valid provider selected
- eselect "${alt}" update "${provider}"
+ eselect alternatives update "${alt}"
cleanup_old_alternatives_module ${alt}
done
@@ -122,9 +122,10 @@ alternatives-2_pkg_prerm() {
# If we are uninstalling, update alternatives to valid provider
[[ -n ${REPLACED_BY_VERSION} ]] || ignore="--ignore"
-
+set -x
for alt in ${ALTERNATIVES_CREATED[@]}; do
- eselect "${alt}" update ${ignore} "${provider}"
+ eselect alternatives update "${alt}"
+ ret=$?
case ${ret} in
0) : ;;
@@ -134,10 +135,11 @@ alternatives-2_pkg_prerm() {
eselect alternatives delete "${alt}" || eerror "Failed to remove ${alt}"
;;
*)
- eerror "eselect ${alt} update ${provider} returned ${ret}"
+ eerror "eselect alternatives update returned \"${ret}\""
;;
esac
done
+set +x
}
EXPORT_FUNCTIONS pkg_postinst pkg_prerm